{% extends 'base.html' %}
{% load static %}
{% block title %}Служба уведомлений - Клиент{% endblock title %}
{% block main %}

    <div class="toolbar mb-n1 pt-3 mb-lg-n3 pt-lg-6" id="kt_toolbar">
        <div id="kt_toolbar_container" class="container-xxl d-flex flex-stack flex-wrap gap-2">
            <div class="page-title d-flex flex-column align-items-start me-3 gap-2">
                <h1 class="d-flex text-dark fw-bolder m-0 fs-3">Клиенты ({{ client_list.count }})</h1>
                <small class="text-gray-500 fs-7 fw-bold my-1"> <a href="/">Главная</a> / Клиент</small>
            </div>
        </div>
    </div>

    <div id="kt_content_container" class="d-flex flex-column-fluid align-items-start container-xxl mb-8">
        <div class="content flex-row-fluid" id="kt_content">
            <div class="card card-flush">
                <div class="card-header align-items-center py-5 gap-2 gap-md-5">
                    <div class="card-title">
                        <div class="d-flex align-items-center position-relative my-1">
                            <input type="text"
                                   class="form-control form-control-solid w-250px ps-14"
                                   placeholder="Поиск"/>
                        </div>
                    </div>
                    <div class="d-flex justify-content-end gap-5">
                        <div class="w-100 mw-150px">
                            <select class="form-select form-select-solid w-150px" data-control="select2"
                                    data-hide-search="true" data-placeholder="Тип мобильного оператора">
                                <option></option>
                                <option value="all">Все</option>
                                <option value="#">(998) MTS</option>
                                <option value="#">(91) Beeline</option>
                                <option value="#">(93) UcELL</option>
                            </select>
                        </div>
                        <a href="#" class="btn btn-primary er px-8" data-bs-toggle="modal"
                           data-bs-target="#add_vehicle">Добавить</a>
                    </div>
                </div>
                <div class="card-body pt-0">
                    <table class="table align-middle table-row-dashed fs-6 gy-5" id="table_vehicle">
                        <thead>
                        <tr class="text-start text-gray-400 fw-bolder fs-7 gs-0">
                            <th class="min-w-150px table-th-pr">И.Ф.О</th>
                            <th class="text-end min-w-100px table-th-pr">Номер телефон</th>
                            <th class="text-end min-w-150px table-th-pr">Почта</th>
                            <th class="text-end min-w-100px table-th-pr">Код оператора</th>
                            <th class="text-end min-w-100px table-th-pr">Тег</th>
                            <th class="text-end min-w-150px table-th-pr">Часовой пояс</th>
                            <th class="text-end min-w-100px table-th-pr">Действия</th>
                        </tr>
                        </thead>
                        <tbody class="fw-bold text-gray-600">
                        {% for client in client_list %}
                            <tr>
                                <td>
                                    <div class="d-flex align-items-center">
                                        <a href="#" class="symbol symbol-50px">
                                            <img src="{% static '/images/default_images/avatar.png' %}"
                                                 class="symbol-label photo"
                                                 alt="image"/>
                                        </a>
                                        <div class="ms-5">
                                            <a href="#"
                                               class="text-gray-800 text-hover-primary fs-5 fw-bolder worker-name"
                                               data-kt-ecommerce-product-filter="product_name">
                                                {{ client.full_name }}
                                            </a>
                                        </div>
                                    </div>
                                </td>
                                <td class="text-end pe-0">
                                    <span class="fw-bolder">+{{ client.phone_number|default_if_none:'Не указан' }}</span>
                                </td>
                                <td class="text-end pe-0">
                                    <span class="fw-bolder">{{ client.email|default_if_none:'Не указан' }}</span>
                                </td>
                                <td class="text-end pe-0" data-order="21">
                                    <span class="fw-bolder">{{ client.operator_code|default_if_none:'Не указан' }}</span>
                                </td>
                                <td class="text-end pe-0" data-order="21">
                                    <span class="fw-bolder">{{ client.tag|default_if_none:'Не указан' }}</span>
                                </td>
                                <td class="text-end pe-0" data-order="21">
                                    <span class="fw-bolder">{{ client.timezone|default_if_none:'Не указан' }}</span>
                                </td>
                                <td class="text-end">
                                    <a data-url="{% url 'api_notification:client_delete_update' client.id %}"
                                       data-bs-toggle="modal"
                                       data-bs-target="#update_vehicle"
                                       class="btn btn-sm btn-icon btn-clear btn-active-light-primary update_vehicle">
                                         <span class="svg-icon svg-icon-2 m-0">
                                            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                                                 viewBox="0 0 24 24" fill="none">
                                                <path opacity="0.3" fill-rule="evenodd" clip-rule="evenodd"
                                                      d="M2 4.63158C2 3.1782 3.1782 2 4.63158 2H13.47C14.0155 2 14.278 2.66919 13.8778 3.04006L12.4556 4.35821C11.9009 4.87228 11.1726 5.15789 10.4163 5.15789H7.1579C6.05333 5.15789 5.15789 6.05333 5.15789 7.1579V16.8421C5.15789 17.9467 6.05333 18.8421 7.1579 18.8421H16.8421C17.9467 18.8421 18.8421 17.9467 18.8421 16.8421V13.7518C18.8421 12.927 19.1817 12.1387 19.7809 11.572L20.9878 10.4308C21.3703 10.0691 22 10.3403 22 10.8668V19.3684C22 20.8218 20.8218 22 19.3684 22H4.63158C3.1782 22 2 20.8218 2 19.3684V4.63158Z"
                                                      fill="#123875"></path>
                                                <path d="M10.9256 11.1882C10.5351 10.7977 10.5351 10.1645 10.9256 9.77397L18.0669 2.6327C18.8479 1.85165 20.1143 1.85165 20.8953 2.6327L21.3665 3.10391C22.1476 3.88496 22.1476 5.15129 21.3665 5.93234L14.2252 13.0736C13.8347 13.4641 13.2016 13.4641 12.811 13.0736L10.9256 11.1882Z"
                                                      fill="#123875"></path>
                                                <path d="M8.82343 12.0064L8.08852 14.3348C7.8655 15.0414 8.46151 15.7366 9.19388 15.6242L11.8974 15.2092C12.4642 15.1222 12.6916 14.4278 12.2861 14.0223L9.98595 11.7221C9.61452 11.3507 8.98154 11.5055 8.82343 12.0064Z"
                                                      fill="#123875"></path>
                                            </svg>
                                        </span>
                                    </a>
                                    <a data-url="{% url 'api_notification:client_delete_update' client.id %}"
                                       data-bs-toggle="modal"
                                       data-bs-target="#delete_vehicle"
                                       class="btn btn-sm btn-icon btn-clear btn-active-light-primary delete_vehicle">
                                        <span class="svg-icon svg-icon-3">
                                            <svg xmlns="http://www.w3.org/2000/svg" width="24"
                                                 height="24" viewBox="0 0 24 24" fill="#a51330">
                                                <path d="M5 9C5 8.44772 5.44772 8 6 8H18C18.5523 8 19 8.44772 19 9V18C19 19.6569 17.6569 21 16 21H8C6.34315 21 5 19.6569 5 18V9Z"
                                                      fill="#a51330"></path>
                                                <path opacity="0.5"
                                                      d="M5 5C5 4.44772 5.44772 4 6 4H18C18.5523 4 19 4.44772 19 5V5C19 5.55228 18.5523 6 18 6H6C5.44772 6 5 5.55228 5 5V5Z"
                                                      fill="#a51330">
                                                </path>
                                                <path opacity="0.5"
                                                      d="M9 4C9 3.44772 9.44772 3 10 3H14C14.5523 3 15 3.44772 15 4V4H9V4Z"
                                                      fill="#a51330">
                                                </path>
                                            </svg>
                                        </span>
                                    </a>
                                </td>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>

    {% include 'notifications/modals/add_client.html' %}
    {% include 'notifications/modals/update_client.html' %}
    {% include 'notifications/modals/delete_client.html' %}

{% endblock %}


{% block script %}
{% endblock %}